Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaComplexContentExtension

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaContent
                  org.apache.ws.commons.schema.XmlSchemaComplexContentExtension

    public class XmlSchemaComplexContentExtension

extends XmlSchemaContent

Class for complex types with a complex content model derived by extension. Extends the complex type by adding attributes or elements. Represents the World Wide Web Consortium (W3C) extension element for complex content.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaComplexContentExtension()` Creates new XmlSchemaComplexContentExtension

Method Summary
`XmlSchemaAnyAttribute` | `getAnyAttribute()`
`XmlSchemaObjectCollection` | `getAttributes()`
`javax.xml.namespace.QName` | `getBaseTypeName()`
`XmlSchemaParticle` | `getParticle()`
`void` | `setAnyAttribute(XmlSchemaAnyAttribute anyAttribute)`
`void` | `setBaseTypeName(javax.xml.namespace.QName baseTypeName)`
`void` | `setParticle(XmlSchemaParticle particle)`
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaComplexContentExtension

    public XmlSchemaComplexContentExtension()

  Creates new XmlSchemaComplexContentExtension

Method Detail

### setAnyAttribute

    public void setAnyAttribute(XmlSchemaAnyAttribute anyAttribute)

### getAnyAttribute

    public XmlSchemaAnyAttribute getAnyAttribute()

### getAttributes

    public XmlSchemaObjectCollection getAttributes()

### setBaseTypeName

    public void setBaseTypeName(javax.xml.namespace.QName baseTypeName)

### getBaseTypeName

    public javax.xml.namespace.QName getBaseTypeName()

### getParticle

    public XmlSchemaParticle getParticle()

### setParticle

    public void setParticle(XmlSchemaParticle particle)

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

  Overrides:
    `toString` in class `XmlSchemaObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.